function SaveAs( RLtable, initxt )
	--オプション(iniファイルがある場合その内容がinitxt変数に入る)----
	nurimae = initxt:match("nurimae=(.-)\r\n")
	fnurimae = initxt:match("fnurimae=(.-)\r\n")
	nuriato = initxt:match("nuriato=(.-)\r\n")
	fnuriato = initxt:match("fnuriato=(.-)\r\n")
	font = initxt:match("font=(.-)\r\n")
	deco = initxt:match("deco=(.-)\r\n")
	sublyrics = initxt:match("sublyrics=(.-)\r\n")
	
	if nurimae==nil then nurimae="FFFFFF" end      --一応デフォルト値
	if fnurimae==nil then fnurimae="000000" end
	if nuriato==nil then nuriato="FF0000"end
	if fnuriato==nil then fnuriato="FFFFFF" end
	if font==nil then font="ＭＳ Ｐゴシック" end
	if deco==nil then deco="0" end
	-----------------------------------------------------------------
	
    --出力--------------------------------------------
	lyrics = ""
	lyrics = lyrics .. "<version>2.1.0\r\n"
	lyrics = lyrics .. "<title>\r\n"
	lyrics = lyrics .. "<lyrics>\r\n"
	lyrics = lyrics .. "<music>\r\n"
	lyrics = lyrics .. "<singer>\r\n"
	lyrics = lyrics .. "<works>\r\n"
	lyrics = lyrics .. "<render>\r\n"
	lyrics = lyrics .. "<year>\r\n"
	lyrics = lyrics .. "<author>\r\n"
	lyrics = lyrics .. "<timeCodeFix>-00:00:00\r\n"
	lyrics = lyrics .. "<searchKey>\r\n"
	lyrics = lyrics .. "<titleimage>\r\n"
	lyrics = lyrics .. "<source>\r\n"
	
	--色、フォント設定を入れるためのフラグ
	first=1
	sublyrics_timetag_a="" --3、4行目歌詞表示のための
	sublyrics_timetag_b=""
	
	--3、4行目歌詞表示のための
	if sublyrics == "1" then
		lyrics = lyrics .. "<clear>4\t<time>00:00:00\r\n"
	end
	
	for gyo=1, RLtable.ymax, 1 do
		lyrics_a="" --歌詞部分を入れていく
		lyrics_b="" --タイムタグ部分を入れていく　1行毎に後で結合
		words=""
		rubys=""
		timetaga=""
		for retsu=1, RLtable[gyo].xmax, 1 do
			--タイムタグ出力
			if retsu==1 and RLtable[gyo][retsu].timetag == "" then
				--1列目でタイムタグがない時はその行の最初のタイムタグを行頭にも入れる
				for retsu2=1, RLtable[gyo].xmax, 1 do
					if RLtable[gyo][retsu2].timetag ~= "" then
						RLtable[gyo][retsu].timetag = RLtable[gyo][retsu2].timetag
						break
					end
				end
			end
			if RLtable[gyo].xmax==1 and RLtable[gyo][retsu].timetag~="" then
				--もし行に文字が無くてタイムタグがある場合は、スペースを付けて行の調整を出来るようにする
				words=" "
			end
			if RLtable[gyo][retsu].timetag ~= "" then
				--一般的なタイムタグと異なり、女医ハックは[mm:ss:xx]のxxがフレーム単位になっているので変換する
				lyrics_b = lyrics_b .. string.sub(RLtable[gyo][retsu].timetag, 2, 7)
				suti = tonumber(string.sub(RLtable[gyo][retsu].timetag, 8, 9)) * 60 / 100
				lyrics_b = lyrics_b .. string.format("%02d",suti)
				--3、4行目歌詞表示のための
				if retsu == 1 then
					if sublyrics_timetag_a == "" then
						sublyrics_timetag_a = lyrics_b
					else
						if sublyrics_timetag_b == "" then
							sublyrics_timetag_b = lyrics_b
						end
					end
				end
				if words ~= "" then
					--歌詞出力
					lyrics_a = lyrics_a .. words
					words = ""
					if rubys ~= "" then
						--ルビ出力
						lyrics_a = lyrics_a .. "<ruby>" ..rubys
						rubys=""
					end
				end
				if lyrics_a ~= "" then
					if first == 1 then
						--一番最初に色とフォントの設定を入れる
						lyrics_a = lyrics_a .. "<color>"..nurimae..","..fnurimae..","..nuriato..","..fnuriato..","..nurimae..","..fnurimae..","..nuriato..","..fnuriato.."<x_font>"..font..",,"..deco
						first=0
					end
					if RLtable[gyo][retsu].sakurascript ~= "" then
						--補助スクリプト
						lyrics_a = lyrics_a .. RLtable[gyo][retsu].sakurascript
					end
					lyrics_a = lyrics_a .. "\t" --歌詞1塊後タブ
				end
				if RLtable[gyo][retsu].word ~= "\\n" then
					lyrics_b = lyrics_b .. "\t" --タイムタグ1つ後タブ
				end
			end
			--歌詞保持
			words = words .. RLtable[gyo][retsu].word
			--ルビ保持
			rubys = rubys .. RLtable[gyo][retsu].ruby
			--最後"\n"が出てきた時、それまでの歌詞と今のタイムタグが記述され、"\n"が保持されるがそのまま出ていく。それで上手くいける。
		end
		--歌詞群を格納
		if lyrics_a ~= "" then
			lyrics = lyrics .. lyrics_a
		end
		--タイムタグ群を格納
		if lyrics_b ~= "" then
			lyrics = lyrics .. "<time>" .. lyrics_b
		end
		lyrics = lyrics .. "\r\n" --改行
		--3、4行目歌詞表示のための
		if sublyrics == "1" then
			if sublyrics_timetag_a ~= "" and sublyrics_timetag_b ~= "" and gyo ~= RLtable.ymax then
				lyrics = lyrics .. "\t<time>" .. sublyrics_timetag_a .. "\r\n"
				lyrics = lyrics .. "\t<time>" .. sublyrics_timetag_b .. "\r\n"
				sublyrics_timetag_a=""
				sublyrics_timetag_b=""
			end
		end
	end
	-----------------------------------------------------------------
	--出力したデータをRhythmicaLyricsへ返す
    return lyrics
end